> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kakiyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Client

> Removes a client from the workspace by email address. Agency plan required.

<Note>
  **Agency Plan Required** - This endpoint is only available for teams on the Agency plan.
</Note>

## Endpoint

```
DELETE https://api.kakiyo.com/v1/workspaces/:workspaceId/clients
```

## Path Parameters

| Parameter     | Type   | Required | Description      |
| ------------- | ------ | -------- | ---------------- |
| `workspaceId` | string | Yes      | The workspace ID |

## Request Body

| Field   | Type   | Required | Description                           |
| ------- | ------ | -------- | ------------------------------------- |
| `email` | string | Yes      | Email address of the client to remove |

## Response

```json theme={null}
{
  "message": "Client removed from workspace",
  "email": "john@acmecorp.com"
}
```

## Example Request

```bash theme={null}
curl -X DELETE "https://api.kakiyo.com/v1/workspaces/69724d900007cfde1d88/clients" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"email": "john@acmecorp.com"}'
```


## OpenAPI

````yaml DELETE /workspaces/{id}/clients
openapi: 3.1.0
info:
  title: Kakiyo API
  description: API for automating LinkedIn outreach campaigns with AI-powered conversations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.kakiyo.com/v1
security:
  - bearerAuth: []
paths:
  /workspaces/{id}/clients:
    delete:
      tags:
        - Workspaces
      summary: Remove Client
      description: >-
        Removes a client from the workspace by email address. Agency plan
        required.
      operationId: removeClient
      parameters:
        - name: id
          in: path
          required: true
          description: Workspace ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
              properties:
                email:
                  type: string
                  format: email
                  description: Email address of the client to remove
                  example: client@example.com
      responses:
        '200':
          description: Client removed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Client removed from workspace
                  email:
                    type: string
                    example: client@example.com
        '400':
          description: Invalid email address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Workspace or client not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: validation_error
        message:
          type: string
          example: The request parameters failed validation
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: name
              message:
                type: string
                example: The name field is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````